Bug 1480758 - 404 error in the console logs
404 error in the console logs
Status: NEW
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API (Show other bugs)
5.8.0
Unspecified Unspecified
low Severity low
: GA
: cfme-future
Assigned To: Gregg Tanzillo
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 16:01 EDT by Chris Kacerguis
Modified: 2017-08-21 11:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Kacerguis 2017-08-11 16:01:08 EDT
Description of problem:

Seeing a 404 appear in the console logs (seeing this with multiple versions / instances).  This is the URL that I'm seeing:

https://DOMAIN/api/service_orders/cart/service_requests/ 404 (Not Found)


Version-Release number of selected component (if applicable):


How reproducible:  Always


Steps to Reproduce:
1. Go to any page in the SUI
2. Look at the console.
3.

Actual results:


Expected results:

There should not be any 404 calls.


Additional info:
Comment 2 Chris Hale 2017-08-14 12:54:39 EDT
In our codebase the request Chris K listed above produces a 404 when you try to get on service requests when a cart doesn't exist.  We should talk about changing this to a different more appropriate status code or a different payload for status code 200 to indicate no car exists.  For reference here is the snippet of code from our codebase that accomplishes this https://github.com/ManageIQ/manageiq-ui-service/blob/master/client/app/core/shopping-cart.service.js#L23-L36

Note You need to log in before you can comment on or make changes to this bug.